using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MainTemplate.RptFolder
{
    public partial class frmRptDaramad : Form
    {
        public frmRptDaramad()
        {
            InitializeComponent();
        }

        private void frmRptDaramad_Load(object sender, EventArgs e)
        {
            Class_Register_Logs LogsRegIn = new Class_Register_Logs(this.Text + " is Opened.");
            Lsc_LinqToSqlDataContext db = new Lsc_LinqToSqlDataContext();
            var Query = from tbl1 in db.tblRoomTahvils
                        orderby tbl1.TahvilID descending
                        select new
                        {
                            tbl1.TahvilID ,
                            tbl1.EnterDateSh , 
                            tbl1.ExitDateSh ,
                            tbl1.TasviehBit , 
                            tbl1.TotalPrice
                        };
            tblUserBindingSource.DataSource = Query;
            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;
            this.reportViewer1.RefreshReport();
        }
    }
}
